## octave-jnifti 0.6

=== lib/matlab/DESCRIPTION ===
Name: jnifti
Version: 0.6.1
Date: 2020-15-06
Title: fast NIfTI-1/2 reader and NIfTI-to-JNIfTI converter for MATLAB/Octave
Author: Qianqian Fang <fangqq@gmail.com>
Maintainer: Qianqian Fang <fangqq@gmail.com>
Description: JNIfTI Toolbox is a fully functional NIfTI-1/2 reader/writer that supports both
 MATLAB and GNU Octave, and is capable of reading/writing both non-compressed
 and compressed NIfTI files (.nii, .nii.gz) as well as two-part Analyze7.5/NIfTI
 files (.hdr/.img and .hdr.gz/.img.gz). 
 More importantly, this is a toolbox that converts NIfTI data to its JSON-based
 replacement, JNIfTI (.jnii for text-based and .bnii for binary-based), defined
 by the JNIfTI specification (http://github.com/fangq/jnifti). JNIfTI is a
 much more flexible, human-readable and extensible file format compared to the
 more rigid and opaque NIfTI format, making the data much easier to manipulate
 and share.

=== debian/changelog ===
octave-jnifti (0.6-3) unstable; urgency=medium

  * Team upload

  * Refer to common license file for Apache-2.0.
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * d/watch: Fix upstream URL
  * d/octave-jnifti.install: New file.
    Properly install the *.m files into the octave-jnifti binary package.
    (Closes: #1013592)
  * d/control: Bump Standards-Version to 4.6.2 (no changes needed)
  * d/copyright: Update list of copyright years for debian/* files

 -- Rafael Laboissière <rafael@debian.org>  Sat, 06 Jan 2024 11:33:01 -0300

octave-jnifti (0.6-2) unstable; urgency=medium

  * Team upload

  * d/watch: Bump version to 4

 -- Rafael Laboissière <rafael@debian.org>  Fri, 13 Nov 2020 15:37:19 -0300

octave-jnifti (0.6-1) unstable; urgency=medium

  * Initial release (Closes: #962609)

 -- Qianqian Fang <fangqq@gmail.com>  Wed, 12 Aug 2020 17:41:20 -0300

=== debian/control ===
Source: octave-jnifti
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Qianqian Fang <fangqq@gmail.com>
Section: science
Priority: optional
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13),
               dh-sequence-octave
Homepage: https://github.com/fangq/jnifti
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-jnifti.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-jnifti
Rules-Requires-Root: no


Package: octave-jnifti
Architecture: all
Depends: octave-jsonlab, ${octave:Depends}, ${misc:Depends}
Description: fast NIfTI-1/2 reader and NIfTI-to-JNIfTI converter
 This is a fully functional NIfTI-1/2 reader/writer that supports
 both MATLAB and GNU Octave, and is capable of reading/writing both
 non-compressed and compressed NIfTI files (.nii, .nii.gz) as
 well as two-part Analyze7.5/NIfTI files.
 .
 More importantly, this is a toolbox that converts NIfTI data to
 its JSON-based replacement, JNIfTI (.jnii for text-based and .bnii
 for binary-based), defined by the JNIfTI specification
 http://github.com/fangq/jnifti. JNIfTI is a much more flexible,
 human-readable and extensible file format compared to the more
 rigid and opaque NIfTI format, making the data much easier to
 manipulate and share.


Package: matlab-jnifti
Section: contrib/science
Architecture: all
Depends: matlab-jsonlab, matlab-support, ${misc:Depends}
Description: fast NIfTI-1/2 reader and NIfTI-to-JNIfTI converter for MATLAB
 The JNIfTI toolbox includes a stand-alone NIfTI-1/2 parser that works on both
 MATLAB and GNU Octave without needing additional components. To just reading
 and writing the un-compressed NIfTI and Analyze7.5 files (.nii, .hdr/.img),
 one only needs to run addpath('/path/to/jnifti'). For MATLAB, JNIfTI toolbox
 utilizes memmapfile-based disk-reading, making it very fast. For Octave,
 memmapfile is currently not implemented, so, a full reading is required.
 .
 The JNIfTI toolbox is also capable of reading/writing gzip-compressed NIfTI
 and Analyze7.5 files (.nii.gz, .hdr.gz, .img.gz). This feature is supported
 in MATLAB directly without needing another toolbox (MATLAB must be in the
 JVM-enabled mode).
 .
 To process gzip-compressed NIfTI/Analyze files in Octave and MATLAB with
 -nojvm, one need to install the open-source JSONLab and ZMat toolboxes


Package: jnifti-demos
Architecture: all
Depends: octave-jsonlab, ${octave:Depends}, ${misc:Depends}
Description: sample files and demo scripts for JNIfTI toolbox
 This package contains sample NIfTI-1/2 data files as well as text
 and binary JNIfTI files.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE =1

%:
	+dh $@ --buildsystem=octave
	
override_dh_auto_configure:
	mkdir inst
	cp lib/matlab/DESCRIPTION .
	cp lib/matlab/INDEX .
	cp lib/matlab/*.m inst
	cp lib/octave/*.m inst
	cp lib/matlab/LICENSE_GPLv3.txt COPYING
	sed -i -e 's/^%!.*$$//g' inst/niftiread.m inst/niftiwrite.m inst/niftiinfo.m
	rm -rf inst/gzip*.m

=== debian/watch ===
version=4
https://github.com/fangq/jnifti/tags .*/v(\d[\d\.]*)\.(?:tar.gz|tar.bz2|tar.xz)
